{ config, pkgs, inputs, ... }:

{
  wayland.windowManager.sway = {
    enable = true;
    config = rec {
      modifier = "Mod4";
      # Use kitty as default terminal
      terminal = "kitty"; 
      bars = [
	{command = "waybar";}
        ];
      
      startup = [
        # Launch Firefox on start
#	      {command = "wpaperd";}
      ];
    };


    extraConfig = ''
## screens
#output DP-3 scale 0.9
#output DP-2 pos 0 0

workspace 10 output DP-3
for_window [class="Spotify"] scratchpad show

      ## Input configuration
      input "type:keyboard" {
        xkb_layout de,us
        xkb_variant "nodeadkeys"
        xkb_options grp:alt_shift_toggle
      }


      # Brightness
      bindsym XF86MonBrightnessDown exec light -U 10
      bindsym XF86MonBrightnessUp exec light -A 10

      # Volume
      bindsym XF86AudioRaiseVolume exec 'pactl set-sink-volume @DEFAULT_SINK@ +1%'
      bindsym XF86AudioLowerVolume exec 'pactl set-sink-volume @DEFAULT_SINK@ -1%'
      bindsym XF86AudioMute exec 'pactl set-sink-mute @DEFAULT_SINK@ toggle'

      # app launcher
	      bindsym Mod4+m exec 'rofi -show drun'
      bindsym Mod4+Shift+x exec 'rofi -show power-menu -modi power-menu:rofi-power-menu'
      bindsym Mod4+Print exec 'rofi-screenshot'

      bindsym Mod4+BackSpace kill

      # disable window border
default_border pixel 2
font pango:monospace 0.001
titlebar_padding 1
titlebar_border_thickness 0
    '';
  };
}
